Summary:	Support for different testing frameworks
Summary(pl.UTF-8):	Obsługa różnych szkieletów testowych
Name:		Zope-Testing
Version:	3.10.2
Release:	3
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.testing/zope.testing-%{version}.tar.gz
# Source0-md5:	35fc3139992a92a4db13653167fc7be9
URL:		http://www.zope.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.709
%pyrequires_eq	python-modules
Requires:	Zope
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pyegg	zope.exceptions

%description
This package provides a number of testing frameworks. It includes a
flexible test runner, and supports both doctest and unittest.

%description -l pl.UTF-8
Ten pakiet udostępnia wiele szkieletów testowych. Zawiera elastyczne
narzędzie do uruchamiania testów, obsługuje zarówno doctest jak i
unittest.

%prep
%setup -q -n zope.testing-%{version}

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--install-purelib=%{py_sitedir} \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/zope/testing
%{py_sitedir}/zope.testing-*.egg-info
%{py_sitedir}/zope.testing-*-nspkg.pth
%changelog
* Tue May 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Zope-Testing.git;a=log;h=master

* Tue May 05 2015 Jan Rękorajski <baggins@pld-linux.org> f7e68e0
- Zope does not provide eggs, move filtered out dep to R
- rel 3

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> 2ae5908
- release 2 (by relup.sh)

* Mon Jun 06 2011 marti <marti@pld-linux.org> b09bdf4
- up to 3.10.2

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0377b99
- release 2

* Wed Jun 03 2009 amateja <amateja@pld-linux.org> 6579f72
- updated to 3.7.2

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> f16b3e8
- use pypi uri
- ver. 3.7.1

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> e7a8bdb
- rel. 3

* Tue Mar 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 11dd8f5
- py_sitedir is not noarch

* Tue Mar 04 2008 wrobell <wrobell@pld-linux.org> 2e85f91
- moved to py_sitedir
- rel. 2

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 1b7c18e
- pl
- python deps
- noarch

* Wed Sep 12 2007 wrobell <wrobell@pld-linux.org> 331424c
- fixed/add url

* Wed Sep 12 2007 wrobell <wrobell@pld-linux.org> 010232c
- fixed summary/description/license/group

* Sun Sep 09 2007 wrobell <wrobell@pld-linux.org> 96b8d67
- url fixed

* Sun Sep 09 2007 wrobell <wrobell@pld-linux.org> 6cceccf
- based on ZopeInterfaces.spec, nfy

